/preview/marketing-solutions/ad-sets
curl --request POST \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"name": "test adset",
"datasetId": "108002",
"campaignId": "358313",
"objective": "conversions",
"schedule": {
"startDate": "2026-04-04T16:21:06.3537890+02:00",
"endDate": "2026-04-13T16:21:06.3537917+02:00"
},
"bidding": {
"costController": "dailyBudget"
},
"targeting": {
"deliveryLimitations": {
"environments": [
"web"
],
"devices": [
"desktop"
],
"operatingSystems": [
"android"
]
},
"geoLocation": {
"countries": {
"operand": "in",
"values": [
"FR",
"IT"
]
}
},
"frequencyCapping": {
"frequency": "daily",
"maximumImpressions": 1000
}
},
"budget": {
"budgetStrategy": "capped",
"budgetRenewal": "weekly",
"budgetDeliverySmoothing": "standard",
"budgetDeliveryWeek": "mondayToSunday",
"pacingBehavior": "targetFullBudget",
"budgetAmount": 1000
},
"trackingCode": "Test123",
"mediaType": "display",
"attributionConfiguration": {
"attributionMethod": "criteoAttribution"
}
},
"type": "AdSet"
}
}
'{
"data": {
"attributes": {
"advertiserId": "<string>",
"attributionConfiguration": {},
"bidding": {
"bidAmount": 123
},
"budget": {
"budgetAmount": 123
},
"campaignId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"schedule": {
"endDate": {
"value": "2023-11-07T05:31:56Z"
},
"startDate": {
"value": "2023-11-07T05:31:56Z"
}
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": {
"value": {
"maximumImpressions": 123
}
},
"geoLocation": {
"countries": {
"value": {
"values": [
"<string>"
]
}
},
"subdivisions": {
"value": {
"values": [
"<string>"
]
}
},
"zipCodes": {
"value": {
"values": [
"<string>"
]
}
}
}
}
},
"id": "<string>",
"type": "ReadAdSetV26Q1"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/marketing-solutions/ad-sets
Create an ad set with the provided parameters
POST
/
preview
/
marketing-solutions
/
ad-sets
/preview/marketing-solutions/ad-sets
curl --request POST \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"name": "test adset",
"datasetId": "108002",
"campaignId": "358313",
"objective": "conversions",
"schedule": {
"startDate": "2026-04-04T16:21:06.3537890+02:00",
"endDate": "2026-04-13T16:21:06.3537917+02:00"
},
"bidding": {
"costController": "dailyBudget"
},
"targeting": {
"deliveryLimitations": {
"environments": [
"web"
],
"devices": [
"desktop"
],
"operatingSystems": [
"android"
]
},
"geoLocation": {
"countries": {
"operand": "in",
"values": [
"FR",
"IT"
]
}
},
"frequencyCapping": {
"frequency": "daily",
"maximumImpressions": 1000
}
},
"budget": {
"budgetStrategy": "capped",
"budgetRenewal": "weekly",
"budgetDeliverySmoothing": "standard",
"budgetDeliveryWeek": "mondayToSunday",
"pacingBehavior": "targetFullBudget",
"budgetAmount": 1000
},
"trackingCode": "Test123",
"mediaType": "display",
"attributionConfiguration": {
"attributionMethod": "criteoAttribution"
}
},
"type": "AdSet"
}
}
'{
"data": {
"attributes": {
"advertiserId": "<string>",
"attributionConfiguration": {},
"bidding": {
"bidAmount": 123
},
"budget": {
"budgetAmount": 123
},
"campaignId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"schedule": {
"endDate": {
"value": "2023-11-07T05:31:56Z"
},
"startDate": {
"value": "2023-11-07T05:31:56Z"
}
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": {
"value": {
"maximumImpressions": 123
}
},
"geoLocation": {
"countries": {
"value": {
"values": [
"<string>"
]
}
},
"subdivisions": {
"value": {
"values": [
"<string>"
]
}
},
"zipCodes": {
"value": {
"values": [
"<string>"
]
}
}
}
}
},
"id": "<string>",
"type": "ReadAdSetV26Q1"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
the ad sets to create
Data model for an input resources
Data model for a Resource
Show child attributes
Show child attributes
Was this page helpful?
/preview/campaigns/{campaignId}/targeting/domain-rules
Previous
/preview/marketing-solutions/ad-sets
Next
⌘I